curl --request GET \
--url https://api.hubapi.com/crm/pipelines-rules/2026-09/{objectTypeId}/{pipelineId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/crm/pipelines-rules/2026-09/{objectTypeId}/{pipelineId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/crm/pipelines-rules/2026-09/{objectTypeId}/{pipelineId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/crm/pipelines-rules/2026-09/{objectTypeId}/{pipelineId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/crm/pipelines-rules/2026-09/{objectTypeId}/{pipelineId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hubapi.com/crm/pipelines-rules/2026-09/{objectTypeId}/{pipelineId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/crm/pipelines-rules/2026-09/{objectTypeId}/{pipelineId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"createdAt": "2023-11-07T05:31:56Z",
"governanceValidationRules": {
"noBackwardsMovementRule": {
"enabledForAllStages": true,
"pipelineStageIds": [
"<string>"
]
},
"noSkippingStagesRule": {
"enabledForAllStages": true,
"pipelineStageIds": [
"<string>"
]
},
"objectCreationRule": {
"pipelineStageIds": [
"<string>"
]
}
},
"id": "<string>",
"objectTypeId": "<string>",
"pipelineId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"approvalStage": {
"approvalMode": "ALL",
"approverUserIds": [
"<string>"
],
"pipelineStageId": "<string>",
"approvalComment": "<string>",
"conditionalApprovalFilterBranch": {
"filterBranchOperator": "<string>",
"filterBranchType": "OR",
"filterBranches": [
{
"filterBranchOperator": "<string>",
"filterBranchType": "AND",
"filterBranches": [
{
"filterBranchOperator": "<string>",
"filterBranchType": "NOT_ALL",
"filterBranches": [
{
"filterBranchOperator": "<string>",
"filterBranchType": "NOT_ANY",
"filterBranches": [
"<unknown>"
],
"filters": [
"<unknown>"
]
}
],
"filters": [
{
"filterType": "PROPERTY",
"operation": "<unknown>",
"property": "<string>"
}
]
}
],
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"includeObjectsWithNoValueSet": true,
"operationType": "BOOL",
"operator": "<string>",
"value": true
},
"property": "<string>"
}
]
}
],
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"includeObjectsWithNoValueSet": true,
"operationType": "BOOL",
"operator": "<string>",
"value": true
},
"property": "<string>"
}
]
}
}
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Retrieve rules
Récupérez les règles associées à un pipeline spécifique dans votre compte HubSpot. Ce point de terminaison vous permet d’accéder aux règles de validation de la gouvernance et aux étapes d’approbation pour le pipeline spécifié. Il est utile pour comprendre les contraintes et les processus d’approbation appliqués au pipeline.
curl --request GET \
--url https://api.hubapi.com/crm/pipelines-rules/2026-09/{objectTypeId}/{pipelineId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/crm/pipelines-rules/2026-09/{objectTypeId}/{pipelineId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/crm/pipelines-rules/2026-09/{objectTypeId}/{pipelineId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/crm/pipelines-rules/2026-09/{objectTypeId}/{pipelineId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/crm/pipelines-rules/2026-09/{objectTypeId}/{pipelineId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hubapi.com/crm/pipelines-rules/2026-09/{objectTypeId}/{pipelineId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/crm/pipelines-rules/2026-09/{objectTypeId}/{pipelineId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"createdAt": "2023-11-07T05:31:56Z",
"governanceValidationRules": {
"noBackwardsMovementRule": {
"enabledForAllStages": true,
"pipelineStageIds": [
"<string>"
]
},
"noSkippingStagesRule": {
"enabledForAllStages": true,
"pipelineStageIds": [
"<string>"
]
},
"objectCreationRule": {
"pipelineStageIds": [
"<string>"
]
}
},
"id": "<string>",
"objectTypeId": "<string>",
"pipelineId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"approvalStage": {
"approvalMode": "ALL",
"approverUserIds": [
"<string>"
],
"pipelineStageId": "<string>",
"approvalComment": "<string>",
"conditionalApprovalFilterBranch": {
"filterBranchOperator": "<string>",
"filterBranchType": "OR",
"filterBranches": [
{
"filterBranchOperator": "<string>",
"filterBranchType": "AND",
"filterBranches": [
{
"filterBranchOperator": "<string>",
"filterBranchType": "NOT_ALL",
"filterBranches": [
{
"filterBranchOperator": "<string>",
"filterBranchType": "NOT_ANY",
"filterBranches": [
"<unknown>"
],
"filters": [
"<unknown>"
]
}
],
"filters": [
{
"filterType": "PROPERTY",
"operation": "<unknown>",
"property": "<string>"
}
]
}
],
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"includeObjectsWithNoValueSet": true,
"operationType": "BOOL",
"operator": "<string>",
"value": true
},
"property": "<string>"
}
]
}
],
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"includeObjectsWithNoValueSet": true,
"operationType": "BOOL",
"operator": "<string>",
"value": true
},
"property": "<string>"
}
]
}
}
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Supported products
Supported products
Required Scopes
Required Scopes
Autorisations
The access token received from the authorization server in the OAuth 2.0 flow.
Paramètres de chemin
L'identifiant unique du type d'objet pour lequel les règles de pipeline sont récupérées.
L'identifiant unique du pipeline dont les règles sont récupérées.
Réponse
successful operation
La date et l'heure de création de la règle de pipeline.
Show child attributes
Show child attributes
L'identifiant unique de la règle de pipeline.
L'identifiant du type d'objet auquel la règle de pipeline est associée.
L'identifiant unique du pipeline auquel la règle s'applique.
La date et l'heure de la dernière mise à jour de la règle de pipeline.
Show child attributes
Show child attributes